dio
Device proxies

The dio proxy provides an interface to the digital input/output sensors. More...

## Classes

struct | playerc_dio_t
| Dio proxy data. More...

## Functions

PLAYERC_EXPORT playerc_dio_t * | playerc_dio_create (playerc_client_t *client, int index)
| Create a dio proxy. More...
PLAYERC_EXPORT void | playerc_dio_destroy (playerc_dio_t *device)
| Destroy a dio proxy. More...
PLAYERC_EXPORT int | playerc_dio_subscribe (playerc_dio_t *device, int access)
| Subscribe to the dio device. More...
PLAYERC_EXPORT int | playerc_dio_unsubscribe (playerc_dio_t *device)
| Un-subscribe from the dio device. More...
PLAYERC_EXPORT int | playerc_dio_set_output (playerc_dio_t *device, uint8_t output_count, uint32_t digout)
| Set the output for the dio device. More...

## Detailed Description

The dio proxy provides an interface to the digital input/output sensors.

## Function Documentation

PLAYERC_EXPORT playerc_dio_t* playerc_dio_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a dio proxy.

PLAYERC_EXPORT void playerc_dio_destroy | ( | playerc_dio_t * | device | ) |

Destroy a dio proxy.

PLAYERC_EXPORT int playerc_dio_set_output | ( | playerc_dio_t * | device,
|  | uint8_t | output_count,
|  | uint32_t | digout
| ) |  |

Set the output for the dio device.

PLAYERC_EXPORT int playerc_dio_subscribe | ( | playerc_dio_t * | device,
|  | int | access
| ) |  |

Subscribe to the dio device.

PLAYERC_EXPORT int playerc_dio_unsubscribe | ( | playerc_dio_t * | device | ) |

Un-subscribe from the dio device.

Last updated 12 September 2005 21:38:45